# Uses of Class
org.osgi.resource.dto.WireDTO

Packages that use WireDTO
Package
Description
org.osgi.framework.wiring.dto
OSGi Data Transfer Object Framework Wiring Package Version 1.2.
org.osgi.resource.dto
OSGi Data Transfer Object Resource Package Version 1.0.

## Uses of WireDTO in org.osgi.framework.wiring.dto

Subclasses of WireDTO in org.osgi.framework.wiring.dto
Modifier and Type
Class
Description
`class`
`BundleWireDTO`
Data Transfer Object for a BundleWire.

## Uses of WireDTO in org.osgi.resource.dto

Fields in org.osgi.resource.dto with type parameters of type WireDTO
Modifier and Type
Field
Description
`List<WireDTO>`
WiringDTO.`providedWires`
The provided wires for the wiring node.
`List<WireDTO>`
WiringDTO.`requiredWires`
The required wires for the wiring node.